<template>
  <v-hover v-slot:default="{ hover }">
    <v-btn
      data-cy="btn-delete"
      icon
      small
      @click="$emit('click')"
      class="edit-btn"
    >
      <v-icon small :color="hover ? 'red lighten-1' : 'grey'">
        mdi-trash-can-outline
      </v-icon>
    </v-btn>
  </v-hover>
</template>
